<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Fields\Address;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * A country code for an addresses country.
 *
 * @GraphQLField(
 *   secure = true,
 *   id = "prosple_address_country_format",
 *   name = "format",
 *   parents = {"AddressCountry"},
 *   type = "AddressCountryFormat",
 * )
 */
class AddressCountryFormat extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {

    $format = \Drupal::service('address.address_format_repository')->get($value['country']);
    yield [
      'result_type' => 'AddressCountryFormat',
      'value' => $format
    ];
  }

}
