<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Fields\Address;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * The list of required fields for a given address country.
 *
 * @GraphQLField(
 *   secure = true,
 *   id = "prosple_address_required",
 *   name = "requiredFields",
 *   parents = {"AddressCountryFormat"},
 *   type = "[String]",
 * )
 */
class AddressCountryRequired extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {

    /**
     * @var $format \CommerceGuys\Addressing\AddressFormat\AddressFormat
     */
    $format = $value['value'];

    foreach ($format->getRequiredFields() as $required_field){
      yield $required_field;
    }
  }

}
