<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Fields\Address;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * The dependant localities dependant on a locality.
 *
 * @GraphQLField(
 *   secure = true,
 *   id = "address_dependant_localities",
 *   name = "dependantLocalities",
 *   parents = {"AddressLocality"},
 *   type = "[AddressDependantLocality]",
 * )
 */
class AddressDependantLocalities extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {

    $dependant_localities = \Drupal::service('address.subdivision_repository')->getList($value['parents']);
    $parents = $value['parents'];

    /**
     * @var $administrative_area \CommerceGuys\Addressing\Subdivision\Subdivision
     */
    foreach ($dependant_localities as $locality_code => $locality){
      $parents[] = $locality_code;
      yield [
        'result_type' => 'AddressDependantLocality',
        'name' => $locality,
        'parents' => $parents
      ];
    }
  }

}
