<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Fields\Address;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * The dependant locality type.
 *
 * @GraphQLField(
 *   secure = true,
 *   id = "prosple_address_dep_locality_type",
 *   name = "dependantLocalityType",
 *   parents = {"AddressCountryFormat"},
 *   type = "String",
 * )
 */
class AddressDependantLocalityType extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {

    /**
     * @var $format \CommerceGuys\Addressing\AddressFormat\AddressFormat
     */
    $format = $value['value'];

    yield $format->getDependentLocalityType();
  }

}
