<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Fields\Address;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * The depth of subdivisions on this country adress format.
 *
 * @GraphQLField(
 *   secure = true,
 *   id = "address_locality_name",
 *   name = "name",
 *   parents = {"AddressLocality"},
 *   type = "String",
 * )
 */
class AddressLocalityName extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {

    yield $value['name'];
  }

}
