<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Fields\Address;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * A position in a queue.
 *
 * @GraphQLField(
 *   secure = true,
 *   id = "prosple_address",
 *   name = "addressQuery",
 *   type = "[AddressCountry]",
 *   arguments = {
 *     "countryCodes" = "[String]",
 *   },
 * )
 */
class AddressQuery extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {

    $countries = [];

    if($args['countryCodes']){
      foreach ($args['countryCodes'] as $code){
        $countries[] = \Drupal::service('address.country_repository')->get($code);
      }
    }
    else{
      $countries = \Drupal::service('address.country_repository')->getAll();
    }



    foreach ($countries as $country){
      yield [
        'result_type' => 'AddressCountry',
        'country' => $country
      ];
    }

//    $format = \Drupal::service('address.address_format_repository')->get('AU');
//    $subdivision = \Drupal::service('address.subdivision_repository')->getList(['AU']);
  }

}
