<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Types;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Types\TypePluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * A type that represents a full instance of the address config of a country.
 *
 * @GraphQLType(
 *   id = "address_country",
 *   name = "AddressCountry",
 * )
 */
class AddressCountry extends TypePluginBase {

  /**
   * {@inheritdoc}
   */
  public function applies($object, ResolveContext $context, ResolveInfo $info) {
    return $object['result_type'] == 'AddressCountry';
  }

}
