<?php

namespace Drupal\graphql_address\Plugin\GraphQL\Types;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Types\TypePluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * An object representing a specific country address format.
 *
 * @GraphQLType(
 *   id = "address_country_format",
 *   name = "AddressCountryFormat",
 * )
 */
class AddressCountryFormat extends TypePluginBase {

  /**
   * {@inheritdoc}
   */
  public function applies($object, ResolveContext $context, ResolveInfo $info) {
    return $object['result_type'] == 'AddressCountryFormat';
  }

}
